Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

Main Page | Modules | Namespace List | Class Hierarchy | Class List | Namespace Members | Class Members | Related Pages

# openvrml::vrml97_node::time_sensor_node::set_start_time_listener Class Reference

Inheritance diagram for openvrml::vrml97_node::time_sensor_node::set_start_time_listener:

[legend]
List of all members.

## Detailed Description

set_startTime eventIn handler.

For internal use only.

## Public Member Functions

| set_start_time_listener (time_sensor_node &node)
| Construct.
virtual | ~set_start_time_listener () throw ()
| Destroy.

## Private Member Functions

virtual void | do_process_event (const sftime &start_time, double timestamp) throw (std::bad_alloc)
| Process event.

## Constructor & Destructor Documentation

openvrml::vrml97_node::time_sensor_node::set_start_time_listener::set_start_time_listener | ( | time_sensor_node & | node | ) | `[explicit]`

Construct.

Parameters:

  | node | time_sensor_node.

openvrml::vrml97_node::time_sensor_node::set_start_time_listener::~set_start_time_listener | ( |  | ) | throw ()`[virtual]`

| Destroy.

## Member Function Documentation

void openvrml::vrml97_node::time_sensor_node::set_start_time_listener::do_process_event | ( | const sftime & | start_time,
|  | double | timestamp
| ) | throw (std::bad_alloc)`[private, virtual]`

Process event.

Parameters:

  | start_time | startTime.
  | timestamp | the current time.

Exceptions:

  | std::bad_alloc | if memory allocation fails.